Bug 109964 - Editing a user on /ccm/admin/ fails with "email is not unique"
Editing a user on /ccm/admin/ fails with "email is not unique"
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 100952
  Show dependency treegraph
 
Reported: 2003-11-13 10:14 EST by Carsten Clasohm
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 11:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2003-11-13 10:14:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925

Description of problem:
When one edits a user account on /ccm/admin/ without changing the
primary email, WAF complaints that the "Primary email is not unique".
The same happens for the screen name, if it is not empty.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to /ccm/admin/
2. Click on Browse and select a user
3. Click on Edit, then on Save


Actual Results:  "Primary email is not unique"

Expected Results:  When checking if the email or screen name is in
use, the code has to ignore the account that is being edited.


Additional info:
Comment 1 Archit Shah 2003-11-21 11:57:49 EST
This was actually a bug in persistence SQL generation for compound
filters. Fixed on 6.0.x (38171) and dev (38205).

Note You need to log in before you can comment on or make changes to this bug.